#!/usr/bin/env python3

import amulet
import re
import unittest

seconds_to_wait = 20000


class TestDeploy(unittest.TestCase):
    """
    Deployment test for the IBM WAS ND charm.
    """
    def setUp(self):
        self.d = amulet.Deployment(series='trusty')
        self.d.add('ibm-was-base', 'cs:~ibmcharmers/trusty/ibm-was-nd')
        self.d.setup(seconds_to_wait)
        self.d.sentry.wait(seconds_to_wait)

    def test_deploy_with_placeholder_resource(self):
        # The status message when using placeholder resources will include the
        # string "ibm_was_nd_installer resource". If we see that, the test is
        # successful.
        sentry_re = re.compile('ibm_was_nd_installer resource')
        self.d.sentry.wait_for_messages({"ibm-was-nd": sentry_re})

if __name__ == '__main__':
    unittest.main()
